pydo.genai.rollback_to_agent_version()

Generated on 7 Jul 2026 from pydo version v0.39.0

Usage

client.genai.rollback_to_agent_version(
    uuid="\"123e4567-e89b-12d3-a456-426614174000\"",
    body={
        "uuid": "\"12345678-1234-1234-1234-123456789012\"",
        "version_hash": "{your_version_hash}",
    },
)
Returns JSONRaises HttpResponseError

Description

To update to a specific agent version, send a PUT request to /v2/gen-ai/agents/{uuid}/versions.

Parameters

uuid string required

Agent unique identifier

uuid string optional

Example: "12345678-1234-1234-1234-123456789012"

Agent unique identifier

version_hash string optional

Example: c3658d8b5c05494cd03ce042926ef08157889ed54b1b74b5ee0b3d66dcee4b73

Unique identifier

Request Sample

Show Request Sample
import os
from pydo import Client

client = Client(token=os.environ.get("DIGITALOCEAN_TOKEN"))

req = {
  "uuid": "\"12345678-1234-1234-1234-123456789012\"",
  "version_hash": "c3658d8b5c05494cd03ce042926ef08157889ed54b1b74b5ee0b3d66dcee4b73"
}

resp = client.genai.rollback_to_agent_version(uuid="\"123e4567-e89b-12d3-a456-426614174000\"", body=req)

Response Example

Show Response Example
{
  "audit_header": {
    "actor_id": "12345",
    "actor_ip": "example string",
    "actor_uuid": "123e4567-e89b-12d3-a456-426614174000",
    "context_urn": "example string",
    "origin_application": "example string",
    "user_id": "12345",
    "user_uuid": "123e4567-e89b-12d3-a456-426614174000"
  },
  "version_hash": "example string"
}

More Information

See /v2/gen-ai/agents/{uuid}/versions in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.